import { IPathApp } from "../../../pathinterface";
import { Button } from "../button/button.component";
import { PageElement } from "../page-element";
import * as i0 from "@angular/core";
export declare class ButtonGroupComponent {
    buttonGroup: ButtonGroup;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonGroupComponent, "path-button-group", never, { "buttonGroup": "buttonGroup"; }, { "buttonGroup": "buttonGroup"; }, never, never>;
}
export declare class ButtonGroup extends PageElement {
    private _buttons;
    private _mobilePageBreak;
    constructor(app: IPathApp);
    get buttons(): Button[];
    get mobilePageBreak(): boolean;
    addButton(button: Button): void;
    updateButtonBorders(): void;
    fromJson(modelElement: any): void;
}
